@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&family=Shippori+Mincho&family=Kaisei+Opti&display=swap');

:root {
    --base-color: #fffb00;
    --base-dark: #e9e503;
}

[data-hash] {
    cursor: pointer;
}

.button {
    border: none;
    outline: none;
    background-color: var(--base-color);
    padding: 12px 30px 12px;
    text-align: center;
    font-size: 14px;
    color: white;
    font-weight: 500;
    margin: 0;
    text-shadow: 0 0 0 transparent;
    transition: all 200ms ease;
}

button:hover {
    text-shadow: 0 0 5px white;
}

button:active {
    text-shadow: 0 0 0 transparent;
    background-color: var(--base-dark);
}

.svg-button {
    border: none;
    outline: none;
    background: transparent;
    cursor: pointer;
}

body {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 300;
    margin: 0;
    padding: 0;
    font-size: 18px;
    background-color: rgb(255, 225, 245);
    color: white;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
}

a {
    color: inherit;
    text-decoration: none;
}

p {
    line-height: 33px;
}

/** ** ** ** ** ** ** ** ** **/

.loading-text {
    display: block;
    position: absolute;
    top: calc(50dvh + 210px);
    color: #383838;
    font-size: 2rem;
}

.loading-text>span {
    display: inline-block;
    transform: rotate(0deg);
    animation-timing-function: ease;
    animation-duration: 1000ms;
    animation-delay: 0ms;
    animation-iteration-count: infinite;
    margin: 0 0.25rem;
}

#loading-spinner img {
    filter: drop-shadow(0 3px 3px rgba(158, 98, 55, 0.256));
}

@keyframes loading-anime {
    0% {
        transform: rotate(0deg);
    }
    1% {
        transform: rotate(-5deg);
    }
    20% {
        transform: rotate(25deg);
    }
    90% {
        transform: rotate(0deg);
    }
}

#hero {
    position: relative;
    height: 100dvh;
    background-image: url('/img/hero_landscape_left.png');
    background-size: auto 100%;
    background-position: left;
    background-repeat: no-repeat;
}

#hero::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-image: url('/img/hero_landscape_right.png');
    background-size: auto 100%;
    background-position: right;
    background-repeat: no-repeat;
}

@media (orientation: portrait) {
    #hero {
        background-image: url('/img/hero_portrait_left.png');
    }

    #hero::before {
        background-image: url('/img/hero_portrait_right.png');
    }
}

div.company-logo {
    position: absolute;
    bottom: 25dvh;
    text-align: center;
    width: 100%;
    filter: drop-shadow(0px 0px 4px white) drop-shadow(0px 0px 4px white);
}

img.company-logo {
    display: inline-block;
    max-width: 100%;
    height: 60px;
}

div.slogan {
    position: absolute;
    bottom: 50dvh;
    text-align: center;
    width: 100%;
    filter: drop-shadow(0px 0px 4px white) drop-shadow(0px 0px 4px white);
}

img.slogan {
    display: inline-block;
    max-width: calc(100% - 20px);
    width: 600px;
}

/** ** ** ** ** ** ** ** ** **/

body>section {
    min-height: max-content;
    box-sizing: border-box;
    position: relative;
}

body>section>div.section-inner {
    max-width: 1080px;
    padding: 0 40px;
    box-sizing: border-box;
    margin: 0 auto;
}

@media (max-width: 1079px) {
    .pc-only {
        display: none !important;
    }
}

@media (min-width: 1080px) {
    .phone-only {
        display: none !important;
    }

    #contact input, #contact textarea {
        font-size: 16.1px;
    }
}

@media (max-width: 570px) {
    .menu>div {
        width: 100%;
    }
}

.fill-in {
    animation-name: fill-in;
    animation-duration: 1000ms;
    animation-timing-function: ease;
    animation-delay: 0;
}

@keyframes fill-in {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}